Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236406 - misrendering of apostrophes... sometimes
Summary: misrendering of apostrophes... sometimes
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-13 16:56 UTC by Zack Cerza
Modified: 2018-04-11 12:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 15:36:53 UTC


Attachments (Terms of Use)
screenshot (deleted)
2007-04-13 16:56 UTC, Zack Cerza
no flags Details
message source (deleted)
2007-04-13 17:41 UTC, Zack Cerza
no flags Details


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 377098 None None None Never

Description Zack Cerza 2007-04-13 16:56:37 UTC
Description of problem:
eh, just check out the screenshot :)

Version-Release number of selected component (if applicable):
thunderbird-2.0.0.0-0.4.rc1.fc7.i386

Comment 1 Zack Cerza 2007-04-13 16:56:37 UTC
Created attachment 152556 [details]
screenshot

Comment 2 Christopher Aillon 2007-04-13 17:21:38 UTC
Are those actual apostrophes and not the curly special character that you might
not have a glyph installed for?

Comment 3 Zack Cerza 2007-04-13 17:29:41 UTC
Well, that's why I posted the 'view source' window for that message. It seems to
do fine. If I don't have the glyph, do you have an idea of what I might be missing?

Comment 4 Zack Cerza 2007-04-13 17:41:45 UTC
Created attachment 152564 [details]
message source

Comment 5 Christopher Aillon 2007-04-13 18:11:33 UTC
Might be https://bugzilla.mozilla.org/show_bug.cgi?id=377098

Comment 6 Matěj Cepl 2007-04-16 13:25:29 UTC
Or might be poorly set encoding of the given message -- it looks like TB trying
to display as ASCII something which is actually CP1251. Reporter, could you
please check in TB, that it recognizes correctly encoding of the message
(View/Encoding menu)?

Notice also that curly quotes/apostrophes are NOT part of ISO-8859-1 -- quite
often what is marked as ISO-8859-1 is actually Microsoft's CP1251, which is adds
support for couple of characters (including curly quotes, apostrophes, etc.) in
very broken manner. If it is the case, blame author of the message, not
Thunderbird which did, what it was supposed to.

If the message is not private (and it doesn't seem to be) could you please
attach it to this bug as an attachment as well, please?

Comment 7 Zack Cerza 2007-04-16 15:27:22 UTC
Matej,

You're right, the real encoding is CP1251. I guess Thunderbird isn't at fault here.

The message is already attached.

Comment 8 Matěj Cepl 2007-04-16 15:36:53 UTC
OK, then it is NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.